Subject: bug#27407: 25.2; SGR reset is ignored if it terminates Eshell's output

From: Pierre Neidhardt <[email-masked]>
Date: Sun, 18 Jun 2017 07:49:17 +0100

On 17-06-17 14:19:54, [email-masked] wrote:
> You meant enter the text produced with (insert "echo \"\e[33mhello\e[0m\"").

Yes.

I haven't tried your patch, but in the general case Eshell should not extend the
ANSI coloring to the prompt, SGR reset or not. I.e. the following should not
color the prompt:

	(insert "echo \"\e[33mhello")

--
Pierre Neidhardt